de.esprit.netsuite.server.auth.group

## Class DefaultGroup

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.auth.group.AbstractGroup
      - - de.esprit.netsuite.server.auth.group.DefaultGroup

- All Implemented Interfaces:
    PersistentName, Renderable, DeepCloneable, Dumpable, Group, EspritPermissionOwner, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class DefaultGroup
      extends AbstractGroup

  This is a default implementation for an EsprIT user group
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.auth.group.Group

      `commentKey, displayNameKey, gidKey, groupNameKey, groupsDocType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultGroup(int gid, java.lang.String groupName, java.lang.String displayName, java.lang.String comment)`
    `DefaultGroup(java.lang.String groupName, java.lang.String displayName, java.lang.String comment)` Note: creates a group with an invalid ID, which is actually reassigned when making the group persistent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultGroup` | `clone()`

    - ### Methods inherited from class de.esprit.netsuite.server.auth.group.AbstractGroup

      `compareTo, deepClone, equals, getComment, getDisplayName, getGID, getGroupName, getPersistentName, getRenderColor, getRenderIcon, getRenderText, hashCode, setComment, setDisplayName, setGID, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

- - ### Constructor Detail

    - #### DefaultGroup

          public DefaultGroup(java.lang.String groupName,
                      java.lang.String displayName,
                      java.lang.String comment)

      Note: creates a group with an invalid ID, which is actually reassigned when making the group persistent.

    - #### DefaultGroup

          public DefaultGroup(int gid,
                      java.lang.String groupName,
                      java.lang.String displayName,
                      java.lang.String comment)

  - ### Method Detail

    - #### clone

          public DefaultGroup clone()

      Overrides:
        `clone` in class `TransferableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.